package com.lagou.lagouee.bean.search

/**
 * Time：2024/4/29 10:37:03
 * Author：wangjunwei
 * Description：筛选项种类5：流式布局数据选项
 * @param type 数据类型
 * @param isTitle 是否是标题
 * @param options 流式布局可用筛选项
 */
data class FlowSearchFilterOptionData(
    override val type: String,
    override val typeTxt: String,
    val isTitle: Boolean = false,
    val options: List<BaseSearchFilterOptionData>?,
    override val location: String? = BSearchFilterOptionType.LOCATION_LEFT,
    override var isNobleStyle: Boolean = false,
    override var isSelected: Boolean = false)
    : BaseSearchFilterOptionData(type, typeTxt, isTitle, location, isNobleStyle, isSelected)