package com.lagou.lagouee.bean.search

/**
 * Time：2024/4/28 17:48:41
 * Author：wangjunwei
 * Description：筛选项种类5：毕业时间 可下拉展开选项的的spinner
 * @param type 当前是什么类型
 * @param isTitle
 * @param hintTxt 可供下拉选择的spinner，默认的hint
 * @param txt 选中的文案
 * @param middleTxt 中间按钮文案
 * @param rightTxt 右侧按钮文案
 * @param middleSelected 中间按钮是否选中
 * @param rightSelected 右侧按钮是否选中
 * @param isSupportMultiple 是否支持多选
 */
data class GraduateSpinnerSearchFilterOptionData(
    override val type: String,
    override val typeTxt: String,
    val isTitle: Boolean = false,
    val hintTxt: String, var txt: String?,
    val middleTxt: String, val rightTxt: String,
    var middleSelected: Boolean = false, var rightSelected: Boolean = false,
    override val location: String = BSearchFilterOptionType.LOCATION_LEFT,
    override var isNobleStyle: Boolean = false,
    override var isSelected: Boolean = false)
    : BaseSearchFilterOptionData(type, typeTxt, isTitle, location, isNobleStyle, isSelected)