package com.lagou.lagouee.bean.search

/**
 * Time：2024/4/28 14:47:02
 * Author：wangjunwei
 * Description：筛选项种类：薪资方块筛选项
 * @param type
 * @param isTitle
 * @param content
 * @param isSelect
 * @param isSupportMultiple 是够支持多选
 * @param salaryMin 最小薪资数值
 * @param salaryMax
 */
data class SalarySearchFilterOptionData(
    override val type: String,
    override val typeTxt: String,
    var isTitle: Boolean = false,
    val content: String,
    val isSupportMultiple: Boolean = false,
    var salaryMin: Int, var salaryMax: Int,
    override var location: String? = BSearchFilterOptionType.LOCATION_LEFT,
    override var isNobleStyle: Boolean = false,
    override var isSelected: Boolean = false)
    : BaseSearchFilterOptionData(type, typeTxt, isTitle, location, isNobleStyle, isSelected)
