package com.lagou.lagouee.bean.search

/**
 * Time：2024/4/28 16:36:29
 * Author：wangjunwei
 * Description：筛选项种类3：滑块类型选项(薪资范围、年龄)
 * @param type
 * @param isTitle
 * @param minValue
 * @param maxValue
 * @param isSelect
 */
data class SlideSearchFilterOptionData(
    override val type: String,
    override val typeTxt: String,
    val isTitle: Boolean = false,
    var minValue : Int, var maxValue: Int,
    override val location: String? = BSearchFilterOptionType.LOCATION_LEFT,
    override var isNobleStyle: Boolean = false,
    override var isSelected: Boolean = false)
    : BaseSearchFilterOptionData(type, typeTxt, isTitle, location, isNobleStyle, isSelected)