package com.lagou.lagouee.bean.search

/**
 * Time：2024/4/28 14:47:02
 * Author：wangjunwei
 * Description：筛选项种类2：默认搜索筛选项
 * @param type
 * @param isTitle
 * @param content
 * @param isSelect
 * @param isSupportMultiple 是够支持多选
 */
data class DefaultSearchFilterOptionData(
    override val type: String,
    override val typeTxt: String,
    open var isTitle: Boolean = false,
    open val content: String?,
    open val isSupportMultiple: Boolean = false,
    override var location: String? = BSearchFilterOptionType.LOCATION_LEFT,
    override var isNobleStyle: Boolean = false,
    override var isSelected: Boolean = false)
    : BaseSearchFilterOptionData(type, typeTxt, isTitle, location, isNobleStyle, isSelected)
