package com.lagou.lagouee.bean.search

/**
 * Time：2024/4/28 17:48:41
 * Author：wangjunwei
 * Description：筛选项种类4：可下拉展开选项的的spinner
 * @param type 当前是什么类型
 * @param isTitle
 * @param hintTxt 可供下拉选择的spinner，默认的hint
 * @param txt 选中的文案
 * @param isSupportMultiple 是否支持多选
 */
data class SpinnerSearchFilterOptionData(
    override val type: String,
    override val typeTxt: String,
    val isTitle: Boolean = false,
    val hintTxt: String?, var txt: String?, val isSupportMultiple: Boolean = false,
    override val location: String? = BSearchFilterOptionType.LOCATION_LEFT,
    override var isNobleStyle: Boolean = false,
    override var isSelected: Boolean = false)
    : BaseSearchFilterOptionData(type, typeTxt, isTitle, location, isNobleStyle, isSelected)